#include <stdio.h>
#define TRUE 1
#define FALSE 0

main()                              /* typedef */
{  
   typedef int BOOLEAN, INTEGER;
   BOOLEAN ok; INTEGER i; 

   i = 10;
   if (i % 2)
      ok = FALSE;
   else
      ok = TRUE;
   printf("ok: %d\n", ok);
}
